{ ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "envy";
    hostId = "db2e5735";
    wg-quick.interfaces.wgc.address = [ "10.100.0.25/24" ];
  };

  system = {
    lanzaboote.enable = true;
    wireguard.client.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };
}
